%define qtdir /usr/lib/qt-1.45
%define name kdpms
%define version 0.2.8
%define release 1

Summary: kdpms - Configures the power management functions of your monitor.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.kde.org/pub/kde/stable/1.1.2/apps/utils/%{name}-%{version}.tar.gz
Patch0: kdpms-0.2.7-fixdoc.patch
Copyright: GPL
Group: Applications/System
BuildRoot: /tmp/%{name}-buildroot
Prefix: %{_prefix}
Requires: kdebase

%description
KDPMS allows you to configure the power saving functionality of your
DPMS-compatible monitor.  Most monitors have the ability to power
themselves down when they are idle for some period of time.  This
utility allows you to control the length of the timeouts, and
optionally totally disable display power management.

%prep
%setup -q
%patch0 -p1 -b .fixdoc

%build
export QTDIR=%{qtdir}
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/kde" \
%configure --prefix=%{prefix} --with-install-root=$RPM_BUILD_ROOT/

make CXXFLAGS="$RPM_OPT_FLAGS -I/usr/include/kde"

%install
rm -rf $RPM_BUILD_ROOT
make install prefix="$RPM_BUILD_ROOT%{prefix}"

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '\/etc\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{kdename}

echo "%docdir /usr/doc/kde" >> $RPM_BUILD_ROOT/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{kdename}

%files -f ../file.list.%{kdename} 

%changelog
* Sat Jan  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build on alpha

* Fri Jan  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.2.8
- adapt to 6.2

* Mon Sep 27 1999 Preston Brown <pbrown@redhat.com>
- whoops aclocal.m4 needed mods to fix the documentation installation dir

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- marked docs files as such.

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- slightly modified for powertools.
